<?php
/**
* 2007-2021 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2021 PrestaShop SA
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/
use PrestaShop\PrestaShop\Adapter\Cart\CartPresenter;

if (!defined('_PS_VERSION_')) {
    exit;
}

class DfxAddtocart extends Module
{
    protected $templateFile;
    
    public function __construct()
    {
        $this->name = 'dfxaddtocart';
        $this->version = '2.2.0';
        $this->author = 'Digitalredfox';
        $this->need_instance = 0;
        $this->bootstrap = true;
        $this->tab = 'front_office_features';

        parent::__construct();
        $this->displayName = $this->trans('Dfx Add to cart button', array(), 'Modules.DfxAddtocart.Admin');
        $this->description = $this->trans('Add to cart button on products', array(), 'Modules.DfxAddtocart.Admin');

        $this->ps_versions_compliancy = array('min' => '1.7', 'max' => _PS_VERSION_);
    }

    public function install()
    {
        return (parent::install()
            && $this->registerHook('actionFrontControllerSetMedia')
            && $this->registerHook('displayAddCartBtn')
			&& $this->registerHook('displayLargeCartBtn')
        );
    }

    public function uninstall()
    {
        return parent::uninstall();
    }

    public function hookActionFrontControllerSetMedia()
    {
        $this->context->controller->addCSS($this->_path.'views/css/front.css');

    }
	public function hookDisplayAddCartBtn($params)
    {
		$data = $this->context->cart->getProducts(true);

		$allcartids = array();
			
		foreach ($data as $p) {
			$allcartids[] = $p['id_product'];
		}
		if (in_array($params['product']->id_product, $allcartids)) {
            $params['product']['in_cart'] = 'is-added';
        } else {
			$params['product']['no_added'] = 'no-added';
		}

        $this->smarty->assign(array(
			 'product' => $params['product'],
			 'allcartids' => $allcartids
        ));

        return $this->fetch('module:'.$this->name.'/views/templates/hook/product-buttons.tpl');
    }
	public function hookDisplayLargeCartBtn($params)
    {
		$data = $this->context->cart->getProducts(true);

		$allcartids = array();
			
		foreach ($data as $p) {
			$allcartids[] = $p['id_product'];
		}
		if (in_array($params['product']->id_product, $allcartids)) {
            $params['product']['in_cart'] = 'is-added';
        } else {
			$params['product']['no_added'] = 'no-added';
		}

        $this->smarty->assign(array(
			 'product' => $params['product'],
			 'allcartids' => $allcartids
        ));

        return $this->fetch('module:'.$this->name.'/views/templates/hook/product-buttons-large.tpl');
    }

}
