<?php
/**
 * 2007-2021 PrestaShop.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    PrestaShop SA <contact@prestashop.com>
 *  @copyright 2007-2021 PrestaShop SA
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

include(dirname(__FILE__).'/../../config/config.inc.php');
include(dirname(__FILE__).'/../../init.php');

$status = 'success';
$message = '';

include_once(dirname(__FILE__).'/dfxblog.php');
include_once(dirname(__FILE__).'/classes/DfxPost.php');

$action = Tools::getValue('action');

switch ($action) {
    case 'addRating':
        $id_dfxblog_post = Tools::getValue('id_dfxblog_post');
        $reply = Dfxpost::changeRating('up', (int)$id_dfxblog_post);
        $message = $reply[0]["likes"];
        break;

    case 'removeRating':
        $id_dfxblog_post = Tools::getValue('id_dfxblog_post');
        $reply = Dfxpost::changeRating('down', (int)$id_dfxblog_post);
        $message = $reply[0]["likes"];
        break;

    default:
        $status = 'error';
        $message = 'Unknown parameters!';
        break;
}
$response = new stdClass();
$response->status = $status;
$response->message = $message;
$response->action = $action;
echo Tools::jsonEncode($response);
