<?php
/**
 * 2007-2021 PrestaShop.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    PrestaShop SA <contact@prestashop.com>
 *  @copyright 2007-2021 PrestaShop SA
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

include dirname(__FILE__).'/../../config/config.inc.php';
/* Getting cookie or logout */
require_once dirname(__FILE__).'/../../init.php';

$query = Tools::getValue('q', false);
if (!$query || $query == '' || Tools::strlen($query) < 1) {
    die();
}

$excludeIds = Tools::getValue('excludeIds', false);
if ($excludeIds && $excludeIds != 'NaN') {
    $excludeIds = implode(',', array_map('intval', explode(',', $excludeIds)));
} else {
    $excludeIds = '';
}

$sql = 'SELECT p.`id_dfxblog_post`, pl.name
		FROM `'._DB_PREFIX_.'dfxblog_post` p
		LEFT JOIN `'._DB_PREFIX_.'dfxblog_post_lang` pl ON (pl.id_dfxblog_post = p.id_dfxblog_post AND pl.id_lang = '.
        (int) Context::getContext()->language->id.')
		WHERE (pl.name LIKE \'%'.pSQL($query).'%\')'.
    (!empty($excludeIds) ? ' AND p.id_dfxblog_post NOT IN ('.$excludeIds.') ' : ' ');

$items = Db::getInstance()->executeS($sql);

if ($items) {
    foreach ($items as $item) {
        echo trim($item['name']).'|'.(int) $item['id_dfxblog_post']."\n";
    }
}
