{*
* 2007-2021 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2021 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

{extends file="helpers/view/view.tpl"}

{block name="override_tpl"}
<div class="panel">
	<h3>
		<i class="{$legend.icon|escape:'htmlall':'UTF-8'}"></i>
		{$legend.title|escape:'htmlall':'UTF-8'}
	</h3>
	<div class="form-horizontal">
	{foreach $fieldset as $field}
	<div class="form-group">
		<label class="control-label col-lg-3" style="padding-top: 0;">{$field.label|escape:'htmlall':'UTF-8'} </label>
		<div class="col-lg-9">
			{if $field.type == 'text'}
				<p>{$field.value|escape:'html':'UTF-8'|nl2br}</p>
			{elseif $field.type == 'active'}
				{$field.value|escape:'quotes':'UTF-8'|replace:"\'":"'"}
			{elseif $field.type == 'date'}	
				<p>{dateFormat date=$field.value full=1}</p>
			{/if}
		</div>
	</div>
	{/foreach}
	</div>
	<div class="panel-footer">
		<a href="{$currentIndex|escape:'htmlall':'UTF-8'}&amp;id_shop_group=0&amp;token={$token|escape:'htmlall':'UTF-8'}" class="btn btn-default" onclick="window.history.back()"><i class="process-icon-back"></i> Back</a>
	</div>
</div>
{/block}