{*
* 2007-2021 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2021 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

{extends file="helpers/form/form.tpl"}

{block name="input"}
	{if $input.name == "link_rewrite"}
		<script type="text/javascript">
		var ps_force_friendly_product = false;
		{if isset($PS_ALLOW_ACCENTED_CHARS_URL) && $PS_ALLOW_ACCENTED_CHARS_URL}
			var PS_ALLOW_ACCENTED_CHARS_URL = 1;
		{else}
			var PS_ALLOW_ACCENTED_CHARS_URL = 0;
		{/if}
		</script>
		{$smarty.block.parent}
	{elseif $input.type == "category_tree"}
	<div style="max-width:600px">
		<table class="table" cellpadding="0" cellspacing="0" width="100%">
		{foreach from=$input.categories item=category name=categories}
			<tr {if $smarty.foreach.categorys.index % 2}class="alt_row"{/if}>
				<td>
					{$category.level|escape:'quotes':'UTF-8'|replace:"\'":"'"}
					<label class="t">
						<input type="checkbox" name="{$input.name|escape:'htmlall':'UTF-8'}[]" value="{$category.id|escape:'htmlall':'UTF-8'}" {if isset($fields_value.selected_cat) && in_array($category.id, $fields_value.selected_cat)}checked="checked"{/if}/>
						{$category.name|escape:'htmlall':'UTF-8'}
					</label>
				</td>
			</tr>
		{/foreach}
		</table>
	</div>
	{elseif $input.type == "product_autocomplete"}
	<input type="text" id="related_products_autocomplete" autocomplete="off" size="42" />
	<div id="related_products_autocompleteDiv" style="font-size: 1.1em;">
	{if isset($fields_value.related_products)}
		{foreach $fields_value.related_products as $id => $name}
		<p id="product-{$id|escape:'htmlall':'UTF-8'}">#{$id|escape:'htmlall':'UTF-8'} - {$name|escape:'htmlall':'UTF-8'} <span style="cursor: pointer;" onclick="$(this).parent().remove();"><img src="../img/admin/delete.gif" /></span><input type="hidden" name="{$input.name|escape:'htmlall':'UTF-8'}[]" value="{$id|escape:'htmlall':'UTF-8'}" /></p>
		{/foreach}
	{/if}
	</div>
	<script type="text/javascript">
		function autocompleteProduct() {
			$("#related_products_autocomplete").autocomplete("{$input.ajax_path}", {
				minChars: 1,
				autoFill: true,
				max:20,
				matchContains: true,
				mustMatch:true,
				scroll:false,
				cacheLength:0,
				formatItem: function(item) {
					return "#"+item[1]+" - "+item[0];
				}
			}).result(function(event, data, formatted){
				if (data == null)
					return false;
				var productId = data[1];
				var productName = data[0];
				
				$("#product-" + productId).remove();
				html = html_aclist.replace(/xproductIdy/g,productId).replace(/xproductNamey/g,productName);
				$("#related_products_autocompleteDiv").append(html);
				
				$(this).val("");
			});
		}
		var html_aclist = '<p id="product-xproductIdy">#xproductIdy - xproductNamey <span style="cursor: pointer;" onclick="$(this).parent().remove();"><img src="../img/admin/delete.gif" /></span><input type="hidden" name="{$input.name|escape:'htmlall':'UTF-8'}[]" value="xproductIdy" /></p>';
		
		$(document).ready(function(){
			autocompleteProduct();
		});
	</script>
	{elseif $input.type == "related_post"}
	<input type="text" id="related_post_autocomplete" autocomplete="off" size="42" />
	<div id="related_post_autocompleteDiv" style="font-size: 1.1em;">
	{if isset($fields_value.related_posts)}
		{foreach $fields_value.related_posts as $id => $name}
		<p id="post-{$id|escape:'htmlall':'UTF-8'}">#{$id|escape:'htmlall':'UTF-8'} - {$name|escape:'htmlall':'UTF-8'} <span style="cursor: pointer;" onclick="$(this).parent().remove();"><img src="../img/admin/delete.gif" /></span><input type="hidden" name="{$input.name|escape:'htmlall':'UTF-8'}[]" value="{$id|escape:'htmlall':'UTF-8'}" /></p>
		{/foreach}
	{/if}
	</div>
	<script type="text/javascript">
		function autocompletePost() {
			$("#related_post_autocomplete").autocomplete("{$input.ajax_path}{if isset($fields_value.id_dfxblog_post)}?excludeIds={$fields_value.id_dfxblog_post}{/if}", {
				minChars: 1,
				autoFill: true,
				max:20,
				matchContains: true,
				mustMatch:true,
				scroll:false,
				cacheLength:0,
				formatItem: function(item) {
					return "#"+item[1]+" - "+item[0];
				}
			}).result(function(event, data, formatted){
				if (data == null)
					return false;
				var postId = data[1];
				var postName = data[0];
				
				$("#post-" + postId).remove();
				html = html_aclist2.replace(/xpostIdy/g,postId).replace(/xpostNamey/g,postName);
				$("#related_post_autocompleteDiv").append(html);
				
				$(this).val("");
			});
		}
		var html_aclist2 = '<p id="post-xpostIdy">#xpostIdy - xpostNamey <span style="cursor: pointer;" onclick="$(this).parent().remove();"><img src="../img/admin/delete.gif" /></span><input type="hidden" name="{$input.name|escape:'htmlall':'UTF-8'}[]" value="xpostIdy" /></p>';
		
		$(document).ready(function(){
			autocompletePost();
		});
	</script>
	{else}
		{$smarty.block.parent}
	{/if}
{/block}