{*
* 2007-2021 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2021 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

{extends file="helpers/form/form.tpl"}

{block name="input"}
	{if $input.type == 'image_size'}
		{assign var='value_text' value=$fields_value[$input.name]}
		<input type="text"
			name="{$input.name|escape:'htmlall':'UTF-8'}[width]"
			id="{if isset($input.id)}{$input.id|escape:'htmlall':'UTF-8'}_width{else}{$input.name|escape:'htmlall':'UTF-8'}_width{/if}"
			value="{if isset($input.string_format) && $input.string_format}{$value_text.width|string_format:$input.string_format|escape:'htmlall':'UTF-8'}{else}{$value_text.width|escape:'htmlall':'UTF-8'}{/if}"
			class="{if isset($input.class)}{$input.class|escape:'htmlall':'UTF-8'}{/if}"
			{if isset($input.size)}size="{$input.size|escape:'htmlall':'UTF-8'}"{/if}
			{if isset($input.maxlength)}maxlength="{$input.maxlength|escape:'htmlall':'UTF-8'}"{/if}
			{if isset($input.class)}class="{$input.class|escape:'htmlall':'UTF-8'}"{/if}
			{if isset($input.readonly) && $input.readonly}readonly="readonly"{/if}
			{if isset($input.disabled) && $input.disabled}disabled="disabled"{/if}
			{if isset($input.autocomplete) && !$input.autocomplete}autocomplete="off"{/if} 
			style="width: auto;display: inline;" />
		<span>x</span>
		<input type="text"
			name="{$input.name|escape:'htmlall':'UTF-8'}[height]"
			id="{if isset($input.id)}{$input.id|escape:'htmlall':'UTF-8'}_height{else}{$input.name|escape:'htmlall':'UTF-8'}_height{/if}"
			value="{if isset($input.string_format) && $input.string_format}{$value_text.height|string_format:$input.string_format|escape:'htmlall':'UTF-8'}{else}{$value_text.height|escape:'htmlall':'UTF-8'}{/if}"
			class="{if isset($input.class)}{$input.class|escape:'htmlall':'UTF-8'}{/if}"
			{if isset($input.size)}size="{$input.size|escape:'htmlall':'UTF-8'}"{/if}
			{if isset($input.maxlength)}maxlength="{$input.maxlength|escape:'htmlall':'UTF-8'}"{/if}
			{if isset($input.class)}class="{$input.class|escape:'htmlall':'UTF-8'}"{/if}
			{if isset($input.readonly) && $input.readonly}readonly="readonly"{/if}
			{if isset($input.disabled) && $input.disabled}disabled="disabled"{/if}
			{if isset($input.autocomplete) && !$input.autocomplete}autocomplete="off"{/if}
			style="width: auto;display: inline;" />
	{else}
		{$smarty.block.parent}
	{/if}
{/block}
{block name="input"}
	{if $input.type == "regenerate_image"}
		<button type="submit" name="{$input.name|escape:'htmlall':'UTF-8'}" class="btn btn-default pull-right" onclick="return confirm('{l s='Are you sure?' d='Modules.DfxBlog'}');">
			<i class="process-icon-cogs"></i> {l s='Regenerate thumbnails' d='Modules.DfxBlog'}
		</button>
	{else}
		{$smarty.block.parent}
	{/if}
{/block}