{*
* 2007-2021 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2021 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

{if isset($no_follow) AND $no_follow}
	{assign var='no_follow_text' value='rel="nofollow"'}
{else}
	{assign var='no_follow_text' value=''}
{/if}

{if isset($p) AND $p}
	{if !isset($current_url)}
		{assign var='requestPage' value=$link->getPaginationLink(false, false, false, false, true, false)}
	{else}
		{assign var='requestPage' value=$current_url}
	{/if}
	{assign var='requestNb' value=$link->getPaginationLink(false, false, true, false, false, true)}

	<!-- Pagination -->
	<div class="dfxpagination content_sortPagiBar">
	<div class="bottom-pagination-content clearfix">
		{if $start!=$stop}
			<ul class="pagination">
				{if $p != 1}
					{assign var='p_previous' value=$p-1}
					<li class="pagination_previous">
						<a {$no_follow_text|escape:'htmlall':'UTF-8'} href="{$link->goPage($requestPage, $p_previous)|escape:'quotes':'UTF-8'|replace:"\'":"'"}" title="{l s='Newer Posts' d='Modules.DfxBlog'}">
							<span><i class="int-left"></i></span>
						</a>
					</li>
				{else}
					<li class="disabled pagination_previous">
						<span>
							<span><i class="int-left"></i></span>
						</span>
					</li>
				{/if}
				{if $start==3}
					<li>
						<a {$no_follow_text|escape:'htmlall':'UTF-8'}  href="{$link->goPage($requestPage, 1)|escape:'quotes':'UTF-8'|replace:"\'":"'"}">
							<span>1</span>
						</a>
					</li>
					<li>
						<a {$no_follow_text|escape:'htmlall':'UTF-8'}  href="{$link->goPage($requestPage, 2)|escape:'quotes':'UTF-8'|replace:"\'":"'"}">
							<span>2</span>
						</a>
					</li>
				{/if}
				{if $start==2}
					<li>
						<a {$no_follow_text|escape:'htmlall':'UTF-8'}  href="{$link->goPage($requestPage, 1)|escape:'quotes':'UTF-8'|replace:"\'":"'"}">
							<span>1</span>
						</a>
					</li>
				{/if}
				{if $start>3}
					<li>
						<a {$no_follow_text|escape:'htmlall':'UTF-8'}  href="{$link->goPage($requestPage, 1)|escape:'quotes':'UTF-8'|replace:"\'":"'"}">
							<span>1</span>
						</a>
					</li>
					<li class="truncate">
						<span>
							<span>...</span>
						</span>
					</li>
				{/if}
				{section name=pagination start=$start loop=$stop+1 step=1}
					{if $p == $smarty.section.pagination.index}
						<li class="active current">
							<span>
								<span>{$p|escape:'html':'UTF-8'}</span>
							</span>
						</li>
					{else}
						<li>
							<a {$no_follow_text|escape:'htmlall':'UTF-8'} href="{$link->goPage($requestPage, $smarty.section.pagination.index)|escape:'quotes':'UTF-8'|replace:"\'":"'"}">
								<span>{$smarty.section.pagination.index|escape:'html':'UTF-8'}</span>
							</a>
						</li>
					{/if}
				{/section}
				{if $pages_nb>$stop+2}
					<li class="truncate">
						<span>
							<span>...</span>
						</span>
					</li>
					<li>
						<a href="{$link->goPage($requestPage, $pages_nb)|escape:'quotes':'UTF-8'|replace:"\'":"'"}">
							<span>{$pages_nb|intval}</span>
						</a>
					</li>
				{/if}
				{if $pages_nb==$stop+1}
					<li>
						<a href="{$link->goPage($requestPage, $pages_nb)|escape:'quotes':'UTF-8'|replace:"\'":"'"}">
							<span>{$pages_nb|intval}</span>
						</a>
					</li>
				{/if}
				{if $pages_nb==$stop+2}
					<li>
						<a href="{$link->goPage($requestPage, $pages_nb-1)|escape:'quotes':'UTF-8'|replace:"\'":"'"}">
							<span>{$pages_nb-1|intval}</span>
						</a>
					</li>
					<li>
						<a href="{$link->goPage($requestPage, $pages_nb)|escape:'quotes':'UTF-8'|replace:"\'":"'"}">
							<span>{$pages_nb|intval}</span>
						</a>
					</li>
				{/if}
				{if $pages_nb > 1 AND $p != $pages_nb}
					{assign var='p_next' value=$p+1}
					<li class="pagination_next">
						<a {$no_follow_text|escape:'htmlall':'UTF-8'} href="{$link->goPage($requestPage, $p_next)|escape:'quotes':'UTF-8'|replace:"\'":"'"}" title="{l s='Older Posts' d='Modules.DfxBlog'}">
							<span><i class="int-right"></i></span>
						</a>
					</li>
				{else}
					<li class="disabled pagination_next">
						<span>
							<span><i class="int-right"></i></span>
						</span>
					</li>
				{/if}
			</ul>
		{/if}
	</div>
	</div>
	<!-- /Pagination -->
{/if}
