{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 *}
<div class="cmp_remove">
 <a href="#" class="ajax-comparison-feature-remove comparison-feature-remove"
             data-id-product="{$product.id_product|intval|escape:'htmlall':'UTF-8'}"
            data-url="{url entity='module' name='dfxcompare' controller='actions'}">
              <span class="redfox-trash"></span>
            </a>
            </div>
<article class="product-miniature js-product-miniature">

    <div class="border_inside">
      <div class="product-image">
          <a href="{$product.url|escape:'htmlall':'UTF-8'}" > 
           <img src = "{$product.cover.bySize.home_default.url}" alt = "{if !empty($product.cover.legend)}{$product.cover.legend}{else}{$product.name|truncate:30:'...'}{/if}" width="{$product.cover.medium.width}" height="{$product.cover.medium.height}"/></a>
      </div>
      
        {block name='product_reviews'}
          {hook h='displayProductListReviews' product=$product}
        {/block}
 <div class="product-description">
      <div class="product-item-info-box">
      {block name='product_name'}
          <div class="product-title" itemprop="name"><a href="{$product.url}">{$product.name}</a></div>
        {/block}

        {block name='product_price_and_shipping'}
          {if $product.show_price}
            <div class="product-price-and-shipping">
            <span class="sr-only">{l s='Price' d='Shop.Theme.Catalog'}</span>
              <span itemprop="price" class="price">{$product.price}</span>
              {if $product.has_discount}
                {hook h='displayProductPriceBlock' product=$product type="old_price"}
				
               
                
                 <span class="sr-only">{l s='Regular price' d='Shop.Theme.Catalog'}</span>
                <span class="regular-price">{$product.regular_price}</span>
                {if $product.discount_type === 'percentage'}
                  <span class="discount-percentage">{$product.discount_percentage}</span>
                {/if}
              {/if}

              {hook h='displayProductPriceBlock' product=$product type="before_price"}

              

              {hook h='displayProductPriceBlock' product=$product type='unit_price'}

              {hook h='displayProductPriceBlock' product=$product type='weight'}
            </div>
            
          {/if}
        {/block}
      </div>
      
<div class="product-add-to-cart">
             <form action="{$urls.pages.cart}" method="post">
  <input type="hidden" name="id_product" value="{$product.id_product}">
  <input type="hidden" name="qty" value="1" min="1">
  {if !empty($product.is_customizable) && count($product.customizations.fields)}
  <input type="hidden" name="id_customization" value="{$product.id_customization}" id="product_customization_id">
  {/if}
  <input type="hidden" name="token" value="{$static_token}">

     <button class="btn btn-primary add-to-cart no-added {if !$product.add_to_cart_url}disabled{/if}" data-button-action="add-to-cart" type="submit" {if !$product.add_to_cart_url}disabled{/if}>
   <span class="redfox-cart"></span><span class="redfox-checkmark"></span>
    {if !$product.add_to_cart_url}{l s='Out Of Stock' d='Shop.Theme.Actions'}{else}{l s='Order' d='Shop.Theme.Actions'}{/if}
    </button>

</form>
             </div>
</div>
         

      </div>
    </div>
</article>