/*
* Copyright since 2007 PrestaShop SA and Contributors
* PrestaShop is an International Registered Trademark & Property of PrestaShop SA
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License 3.0 (AFL-3.0)
* that is bundled with this package in the file LICENSE.md.
* It is also available through the world-wide-web at this URL:
* https://opensource.org/licenses/AFL-3.0
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to https://devdocs.prestashop.com/ for more information.
*
* @author    PrestaShop SA and Contributors <contact@prestashop.com>
* @copyright Since 2007 PrestaShop SA and Contributors
* @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
*/

$(document).ready(function(){

	$(".tab_head").off("click").on("click", function(){
		$(".tab_head").removeClass("active")
		$(this).addClass("active")
		var tabContainer = $(this).attr("href");
		$(".prodTabs").hide();
		$(tabContainer).show();
		var tabId = $(this).attr("href");
		var tabIdArr = tabId.split("_");
		$("#tabSelect").val(tabIdArr[1]);
		$("#selProdList_"+tabIdArr[1]+" option").prop("selected", "selected");
		$("#selProduct").val($("#selProdList_"+tabIdArr[1]).val());
		
		return false;				
	})
	
	$(".cross").off("click").on("click", function(){
		var flag = confirm("Are you sure to delete this section?");
		
		if(flag == true){
			var idArr = $(this).attr("id").split("_");	 
			var path = $("#ajaxPath").val()+"/ajaxPage.php?call_for=delete&id_tab="+idArr[1];
			
			$.ajax({
				url:path,
				success:function(data){	
					$("#"+idArr[1]).remove();
					$("#div_"+idArr[1]).remove();
					$(".confirm").hide("slow");
					$(".deleted").show("slow").delay(3000).fadeOut("slow");
				} 
			});
		}else{ return false; }
	});
	
	
	$( "#sortable" ).sortable({
		//placeholder: "ui-state-highlight",
		update: function(e, ui) {        
			ui.item.attr("data-currindex", ui.item.index());
			var cat_pos = new Array();

			$( "#sortable li" ).each(function(){
				var id = $(this).attr("id");
				var posIndex = parseInt($(this).index());
				$("#position_"+id).val(posIndex);
				cat_pos[posIndex] = id;				
			});					

			var path = $("#ajaxPath").val()+"/ajaxPage.php?call_for=changePosition&cat_pos="+cat_pos;
			
			$.ajax({
				url:path,
				success:function(data){										
					//$(".confirm").hide("slow");
					//$(".posChange").show("slow").delay(2000).fadeOut("slow");
			} });
		}
	});

	$( "#sortable" ).disableSelection();
	
	$(".addProd").click(function(){
		var tabIdArr = $(this).attr("id").split("_"); var tabId = tabIdArr[1];
		var orgProd = "prodList_"+tabId; var selProd = "selProdList_"+tabId;
		var flag=0; var valSel ="";
		$("#"+orgProd+" option:selected").each(function(){
			flag=1; valSel = $(this).val();
			$("#"+selProd+" option").each(function(){ if(valSel == $(this).val()){ flag=0; } });
			if(flag){ var option =$(this).clone(); $("#"+selProd).append(option); }
		});
		$("#selProdList_"+tabId+" option").prop("selected", "selected");
		$("#selProduct").val($("#selProdList_"+tabId).val());
		$("#selProdList_"+tabId+" option").prop("selected", "");
		$("#"+orgProd+" option:selected").prop("selected", "");
	});
	
	$(".remProd").click(function(){	
		var tabIdArr = $(this).attr("id").split("_");
		var selProd = "selProdList_"+tabIdArr[1];
		$("#"+selProd+" option:selected").remove();
		$("#selProdList_"+tabIdArr[1]+" option").prop("selected", "selected");
		$("#selProduct").val($("#selProdList_"+tabIdArr[1]).val());
		$("#selProdList_"+tabIdArr[1]+" option").prop("selected", "");
	});
	
	$(".submitTab").click(function(){
		var subArr = $(this).attr("id").split("_"); $("#tabid").val(subArr[1]);								
	});
	
	
	
});