{**
* Copyright since 2007 PrestaShop SA and Contributors
* PrestaShop is an International Registered Trademark & Property of PrestaShop SA
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License 3.0 (AFL-3.0)
* that is bundled with this package in the file LICENSE.md.
* It is also available through the world-wide-web at this URL:
* https://opensource.org/licenses/AFL-3.0
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to https://devdocs.prestashop.com/ for more information.
*
* @author    PrestaShop SA and Contributors <contact@prestashop.com>
* @copyright Since 2007 PrestaShop SA and Contributors
* @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
*}
{extends file="helpers/form/form.tpl"}

{block name="script"}
 
$(document).ready(function(){
$("#categorieslink").val('{if isset($menucatlink) &&  $menucatlink != ''}{$menucatlink|escape:"html":"UTF-8"}{/if}');

$('#dfxmenu_type').change(function() {
        if (this.value == 'dfxcustom') {
			$('.dfxcategory_link, .dfxcms_link, .dfxmanufacturer_link, .dfxsupplier_link').slideUp(400, function() {
				$('.dfxcustom_link').slideDown();
			});
        }
		else if(this.value == 'dfxcategory') {
			$('.dfxcustom_link, .dfxcms_link, .dfxmanufacturer_link, .dfxsupplier_link').slideUp(400, function() {
				$('.dfxcategory_link').slideDown();
			});
         }
		else if(this.value == 'dfxcms') {
			$('.dfxcustom_link, .dfxcategory_link, .dfxmanufacturer_link, .dfxsupplier_link').slideUp(400, function() {
				$('.dfxcms_link').slideDown();
			});
        }
		else if(this.value == 'dfxmanufacturer') {
			$('.dfxcustom_link, .dfxcategory_link, .dfxcms_link, .dfxsupplier_link').slideUp(400, function() {
				$('.dfxmanufacturer_link').slideDown();
			});
         }
		else if(this.value == 'dfxsupplier') {
			$('.dfxcustom_link, .dfxcategory_link, .dfxcms_link, .dfxmanufacturer_link').slideUp(400, function() {
				$('.dfxsupplier_link').slideDown();
			});
        }
		else {
			$('.dfxcustom_link, .dfxcategory_link, .dfxcms_link, .dfxmanufacturer_link, .dfxsupplier_link').slideUp();
		}
	});
    $('#dfxmenu_type').trigger('change');
    
  
    $('#content_list_selection').change(function() {
    	if (this.value == 'category') {
			$('.content_type_product, .content_type_html, .content_type_manufacturer, .content_type_cms, .content_type_image').slideUp(400, function() {
				$('.content_type_category').slideDown();
			});
        }
		else if(this.value == 'product') {
			$('.content_type_category, .content_type_html, .content_type_manufacturer, .content_type_cms, .content_type_image').slideUp(400, function() {
				$('.content_type_product').slideDown();
			});
         }
		else if(this.value == 'html') {
			$('.content_type_product, .content_type_category, .content_type_manufacturer, .content_type_cms, .content_type_image').slideUp(400, function() {
				$('.content_type_html').slideDown();
			});
        }
		else if(this.value == 'manufacturer') {
			$('.content_type_product, .content_type_html, .content_type_category, .content_type_cms, .content_type_image').slideUp(400, function() {
				$('.content_type_manufacturer').slideDown();
			});
         }
		else if(this.value == 'cms_link') {
			$('.content_type_product, .content_type_html, .content_type_category, .content_type_manufacturer, .content_type_image').slideUp(400, function() {
				$('.content_type_cms').slideDown();
			});
        }
		else if(this.value == 'bannerimage') {
			$('.content_type_product, .content_type_html, .content_type_category, .content_type_manufacturer, .content_type_cms').slideUp(400, function() {
				$('.content_type_image').slideDown();
			});
        }
		else {
			$('.content_type_product, .content_type_category, .content_type_html, .content_type_manufacturer, .content_type_cms, .content_type_image').slideUp();
		}
	});
   
	$('#content_list_selection').trigger('change');

	var columnId = $(".column_ids").attr("id"); 
		$("#items_"+columnId+" option").prop("selected", "selected");
		$("#categorylist_js").val($("#items_"+columnId).val());
		$("#items_"+columnId+" option").prop("selected", "");
        
 $('#menuOrderUp_'+columnId).click(function(e){
	e.preventDefault();
    move(true);
});
$('#menuOrderDown_'+columnId).click(function(e){
    e.preventDefault();
    move();
});

$("#items_"+columnId).closest('form').on('submit', function(e) {
	$("#items_"+columnId+" option").prop('selected', true);
	$("#categorylist_js").val($("#items_"+columnId).val());
});
$(".addItem").click(add);
$("#availableItems_"+columnId).dblclick(add);
$(".removeItem").click(remove);
$("#items_"+columnId).dblclick(remove);


		
function add()
{
		$("#availableItems_"+columnId+" option:selected").each(function(){

            val = $(this).val();
            var text = $(this).text();
            text = text.replace(/(^\s*)|(\s*$)/gi,"");
			
            $("#items_"+columnId).append('<option selected="selected" value="'+val+'" >'+text+'</option>');
		
		});
        serialize();
        return false;
}
	
function remove()
{	
		$("#items_"+columnId+" option:selected").remove();

        serialize();
        return false;
}


function serialize()
{
	var options = "";
	$("#items_"+columnId+" option").each(function(i){
		options += $(this).val()+",";
	});
	$("#itemsInput").val(options.substr(0, options.length - 1));
}
function move(up)
{
        var tomove = $('#items_'+columnId+' option:selected');
        if (tomove.length >1)
        {
                alert('{l s="Please select just one item" d='Modules.Mainmenu.Admin'}');
                return false;
        }
        if (up)
                tomove.prev().insertAfter(tomove);
        else
                tomove.next().insertBefore(tomove);
        serialize();
        return false;
}   

		$("#selProdList_"+columnId+" option").prop("selected", "selected");
		$("#customproducts_js").val($("#selProdList_"+columnId).val());
		$("#selProdList_"+columnId+" option").prop("selected", "");
	
	$('#productOrderUp_'+columnId).click(function(e){
	e.preventDefault();
    prodmove(true);
	});
    $('#productOrderDown_'+columnId).click(function(e){
        e.preventDefault();
        prodmove();
    });

$("#selProdList_"+columnId).closest('form').on('submit', function(e) {
	$("#selProdList_"+columnId+" option").prop('selected', true);
	$("#customproducts_js").val($("#selProdList_"+columnId).val());
});
	
$(".addProd").click(prodadd);
$("#prodList_"+columnId).dblclick(prodadd);
$(".remProd").click(productremove);
$("#selProdList_"+columnId).dblclick(productremove);


		
function prodadd()
{
		$("#prodList_"+columnId+" option:selected").each(function(){

            val = $(this).val();
            var text = $(this).text();
            text = text.replace(/(^\s*)|(\s*$)/gi,"");
			
            $("#selProdList_"+columnId).append('<option selected="selected" value="'+val+'" >'+text+'</option>');
		
		});
        prodserialize();
        return false;
}
	
function productremove()
{	
		$("#selProdList_"+columnId+" option:selected").remove();

        prodserialize();
        return false;
}


function prodserialize()
{
	var options = "";
	$("#selProdList_"+columnId+" option").each(function(i){
		options += $(this).val()+",";
	});
}
function prodmove(up)
{
        var tomove = $('#selProdList_'+columnId+' option:selected');
        if (tomove.length >1)
        {
                alert('{l s="Please select just one product" d='Modules.DfxMegamenu.Admin'}');
                return false;
        }
        if (up)
                tomove.prev().insertAfter(tomove);
        else
                tomove.next().insertBefore(tomove);
        prodserialize();
        return false;
}

// Manufactures List 

		$("#manufact_"+columnId+" option").prop("selected", "selected");
		$("#manufacturers_js").val($("#manufact_"+columnId).val());
		$("#manufact_"+columnId+" option").prop("selected", "");
        
 $('#manuOrderUp_'+columnId).click(function(e){
	e.preventDefault();
    manufactmove(true);
});
$('#manuOrderDown_'+columnId).click(function(e){
    e.preventDefault();
    manufactmove();
});

$("#manufact_"+columnId).closest('form').on('submit', function(e) {
	$("#manufact_"+columnId+" option").prop('selected', true);
	$("#manufacturers_js").val($("#manufact_"+columnId).val());
});

$(".addMan").click(addmanufact);
$("#manufactureItems_"+columnId).dblclick(addmanufact);
$(".removeMan").click(removemanufact);
$("#manufact_"+columnId).dblclick(removemanufact);


		
function addmanufact()
{
		$("#manufactureItems_"+columnId+" option:selected").each(function(){

            val = $(this).val();
            var text = $(this).text();
            text = text.replace(/(^\s*)|(\s*$)/gi,"");
			
            $("#manufact_"+columnId).append('<option selected="selected" value="'+val+'" >'+text+'</option>');
		
		});
        manufactserialize();
        return false;
}
	
function removemanufact()
{	
		$("#manufact_"+columnId+" option:selected").remove();

        manufactserialize();
        return false;
}


function manufactserialize()
{
	var options = "";
	$("#manufact_"+columnId+" option").each(function(i){
		options += $(this).val()+",";
	});
	$("#manufactInput").val(options.substr(0, options.length - 1));
}
function manufactmove(up)
{
        var tomove = $('#manufact_'+columnId+' option:selected');
        if (tomove.length >1)
        {
                alert('{l s="Please select just one item" d='Modules.Mainmenu.Admin'}');
                return false;
        }
        if (up)
                tomove.prev().insertAfter(tomove);
        else
                tomove.next().insertBefore(tomove);
        manufactserialize();
        return false;
}

// CMS List 

		$("#cmslink_"+columnId+" option").prop("selected", "selected");
		$("#cmslink_js").val($("#cmslink_"+columnId).val());
		$("#cmslink_"+columnId+" option").prop("selected", "");
        
 $('#cmsOrderUp_'+columnId).click(function(e){
	e.preventDefault();
    cmsmove(true);
});
$('#cmsOrderDown_'+columnId).click(function(e){
    e.preventDefault();
    cmsmove();
});

$("#cmslink_"+columnId).closest('form').on('submit', function(e) {
	$("#cmslink_"+columnId+" option").prop('selected', true);
	$("#cmslink_js").val($("#cmslink_"+columnId).val());
});

$(".addCms").click(addcms);
$("#CMSItems_"+columnId).dblclick(addcms);
$(".removeCms").click(removecms);
$("#cmslink_"+columnId).dblclick(removecms);


		
function addcms()
{
		$("#CMSItems_"+columnId+" option:selected").each(function(){

            val = $(this).val();
            var text = $(this).text();
            text = text.replace(/(^\s*)|(\s*$)/gi,"");
			
            $("#cmslink_"+columnId).append('<option selected="selected" value="'+val+'" >'+text+'</option>');
		
		});
        cmsserialize();
        return false;
}
	
function removecms()
{	
		$("#cmslink_"+columnId+" option:selected").remove();

        cmsserialize();
        return false;
}


function cmsserialize()
{
	var options = "";
	$("#cmslink_"+columnId+" option").each(function(i){
		options += $(this).val()+",";
	});
	$("#cmsInput").val(options.substr(0, options.length - 1));
}
function cmsmove(up)
{
        var tomove = $('#cmslink_'+columnId+' option:selected');
        if (tomove.length >1)
        {
                alert('{l s="Please select just one item" d='Modules.DfxMegamenu.Admin'}');
                return false;
        }
        if (up)
                tomove.prev().insertAfter(tomove);
        else
                tomove.next().insertBefore(tomove);
        cmsserialize();
        return false;
}
});
{/block}
{block name="field"}
	{if $input.type == 'file_lang'}
		<div class="row">
			{foreach from=$languages item=language}
				{if $languages|count > 1}
					<div class="translatable-field lang-{$language.id_lang}" {if $language.id_lang != $defaultFormLanguage}style="display:none"{/if}>
				{/if}
					<div class="col-lg-6">
						{if isset($fields[0]['form']['images'])}
						<img src="{$image_baseurl}{$fields[0]['form']['images'][$language.id_lang]}" class="img-thumbnail" />
						{/if}
						<div class="dummyfile input-group">
							<input id="{$input.name}_{$language.id_lang}" type="file" name="{$input.name}_{$language.id_lang}" class="hide-file-upload" />
							<span class="input-group-addon"><i class="icon-file"></i></span>
							<input id="{$input.name}_{$language.id_lang}-name" type="text" class="disabled" name="filename" readonly />
							<span class="input-group-btn">
								<button id="{$input.name}_{$language.id_lang}-selectbutton" type="button" name="submitAddAttachments" class="btn btn-default">
									<i class="icon-folder-open"></i> {l s='Choose a file' d='Admin.Actions'}
								</button>
							</span>
						</div>
					</div>
				{if $languages|count > 1}
					<div class="col-lg-2">
						<button type="button" class="btn btn-default dropdown-toggle" tabindex="-1" data-toggle="dropdown">
							{$language.iso_code}
							<span class="caret"></span>
						</button>
						<ul class="dropdown-menu">
							{foreach from=$languages item=lang}
							<li><a href="javascript:hideOtherLanguage({$lang.id_lang});" tabindex="-1">{$lang.name}</a></li>
							{/foreach}
						</ul>
					</div>
				{/if}
				{if $languages|count > 1}
					</div>
				{/if}
				<script>
				$(document).ready(function(){
					$('#{$input.name}_{$language.id_lang}-selectbutton').click(function(e){
						$('#{$input.name}_{$language.id_lang}').trigger('click');
					});
					$('#{$input.name}_{$language.id_lang}').change(function(e){
						var val = $(this).val();
						var file = val.split(/[\\/]/);
						$('#{$input.name}_{$language.id_lang}-name').val(file[file.length-1]);
					});
				});
			</script>
			{/foreach}
		</div>
	{/if}
   
     
	{if $input.type == 'link_choice'}
            <input type="hidden" name="{$id_dfxmenucolumn}" class="column_ids" id="{$id_dfxmenucolumn}"  value=""/>
         <input type="hidden" name="categorylist_js" id="categorylist_js"  value=""/>
	     <div class="row">
         
	    	<div class="col-lg-1">
	    		<h4 style="margin-top:5px;">{l s='Change position' d='Modules.DfxMegamenu.Admin'}</h4>
                <a href="#" id="menuOrderUp_{$id_dfxmenucolumn}" class="btn btn-default" style="font-size:20px;display:block;"><i class="icon-chevron-up"></i></a><br/>
                <a href="#" id="menuOrderDown_{$id_dfxmenucolumn}" class="btn btn-default" style="font-size:20px;display:block;"><i class="icon-chevron-down"></i></a><br/>
	    	</div>
	    	<div class="col-lg-3">
	    		<h4 style="margin-top:5px;">{l s='Selected Categories' d='Modules.DfxMegamenu.Admin'}</h4>
                	{$selectedCategories}
	    	</div>
	    	<div class="col-lg-3">
	    		<h4 style="margin-top:5px;">{l s='Available Categories' d='Modules.DfxMegamenu.Admin'}</h4>
              {$choices}
	    	</div>

	    </div>
	    <br/>
	    <div class="row">
	    	<div class="col-lg-5"></div>
	    	<div class="col-lg-3"><a href="#" id="removeItem_{$id_dfxmenucolumn}" class="removeItem btn btn-default"><i class="icon-arrow-right"></i> {l s='Remove' d='Modules.DfxMegamenu.Admin'}</a></div>
		<div class="col-lg-3"><a href="#" id="addItem_{$id_dfxmenucolumn}" class="addItem btn btn-default"><i class="icon-arrow-left"></i> {l s='Add' d='Admin.Actions'}</a></div>
	    </div>
	    <br/>

        {elseif $input.type == 'products'}
      	 <div class="row">
        <input type="hidden" name="{$id_dfxmenucolumn}" class="column_ids" id="{$id_dfxmenucolumn}"  value=""/>
		<input type="hidden" name="customproducts_js" id="customproducts_js"  value=""/>
        <div class="col-lg-1">
	    		<h4 style="margin-top:5px;">{l s='Change position' d='Modules.DfxMegamenu.Admin'}</h4>
                <a href="#" id="productOrderUp_{$id_dfxmenucolumn}" class="btn btn-default" style="font-size:20px;display:block;"><i class="icon-chevron-up"></i></a><br/>
                <a href="#" id="productOrderDown_{$id_dfxmenucolumn}" class="btn btn-default" style="font-size:20px;display:block;"><i class="icon-chevron-down"></i></a><br/>
	    	</div>	
        				<div class="form-group col-lg-3">
								<h4>{l s='Selected products' d='Modules.DfxMegamenu.Admin'}</h4>
								<select name="selProdList_{$id_dfxmenucolumn}" id="selProdList_{$id_dfxmenucolumn}" class="selProdList" multiple="multiple" style="width:250px; height: 160px;">
                               	{if !empty($selectedproduct.{$id_dfxmenucolumn})}
                                    {foreach from=$selectedproduct.{$id_dfxmenucolumn} item=id_product}									
                                        <option value="{$id_product}">{$prodList.{$id_product}}</option>	
                                    {/foreach}
                                {/if}
                                
								</select>
                               
							</div>
							<div class="form-group col-lg-3">
								<h4>{l s='Available products' d='Modules.DfxMegamenu.Admin'}</h4>
								<select name="prodList_{$id_dfxmenucolumn}" id="prodList_{$id_dfxmenucolumn}" multiple="multiple" style="width:250px; height: 160px;">
									{foreach from=$res_all_prod item=prod}
										{if $prod.active == 1}
											<option value="{$prod.id_product}" {if isset($prod.id_product) && ($prod.id_product)}selected{/if}disabled>{$prod.name}</option>
										{/if}
									{/foreach}							
								</select>
							</div>
                            
        <div class="row">
	    	<div class="col-lg-5"></div>
	    	<div class="col-lg-3"><a href="#" id="remProd_{$id_dfxmenucolumn}" class="remProd btn btn-default"><i class="icon-arrow-right"></i> {l s='Remove' d='Modules.DfxMegamenu.Admin'}</a></div>
		<div class="col-lg-3"><a href="#" id="addProd_{$id_dfxmenucolumn}" class="addProd btn btn-default"><i class="icon-arrow-left"></i> {l s='Add' d='Admin.Actions'}</a></div>
	    </div>
						</div>
    {elseif $input.type == 'manufacturer'}
			
            <div class="row">
        <input type="hidden" name="{$id_dfxmenucolumn}" class="column_ids" id="{$id_dfxmenucolumn}"  value=""/>
         <input type="hidden" name="manufacturers_js" id="manufacturers_js"  value=""/>
	    	<div class="col-lg-1">
	    		<h4 style="margin-top:5px;">{l s='Change position' d='Modules.DfxMegamenu.Admin'}</h4>
                <a href="#" id="manuOrderUp_{$id_dfxmenucolumn}" class="btn btn-default" style="font-size:20px;display:block;"><i class="icon-chevron-up"></i></a><br/>
                <a href="#" id="manuOrderDown_{$id_dfxmenucolumn}" class="btn btn-default" style="font-size:20px;display:block;"><i class="icon-chevron-down"></i></a><br/>
	    	</div>
	    	<div class="col-lg-3">
	    		<h4 style="margin-top:5px;">{l s='Selected Manufacturers' d='Modules.DfxMegamenu.Admin'}</h4>
                	{$selectedManufacturer}
	    	</div>
	    	<div class="col-lg-3">
	    		<h4 style="margin-top:5px;">{l s='Available Manufacturers' d='Modules.DfxMegamenu.Admin'}</h4>
              {$manufacturer_choice}
	    	</div>

	    </div>
        <br/>
	    <div class="row">
	    	<div class="col-lg-5"></div>
	    	<div class="col-lg-3"><a href="#" id="removeMan_{$id_dfxmenucolumn}" class="removeMan btn btn-default"><i class="icon-arrow-right"></i> {l s='Remove' d='Modules.DfxMegamenu.Admin'}</a></div>
		<div class="col-lg-3"><a href="#" id="addMan_{$id_dfxmenucolumn}" class="addMan btn btn-default"><i class="icon-arrow-left"></i> {l s='Add' d='Admin.Actions'}</a></div>
	    </div>
	    <br/>
         {elseif $input.type == 'cmslinks'}
          <div class="row">
        <input type="hidden" name="{$id_dfxmenucolumn}" class="column_ids" id="{$id_dfxmenucolumn}"  value=""/>
         <input type="hidden" name="cmslink_js" id="cmslink_js"  value=""/>
	    	<div class="col-lg-1">
	    		<h4 style="margin-top:5px;">{l s='Change position' d='Modules.DfxMegamenu.Admin'}</h4>
                <a href="#" id="cmsOrderUp_{$id_dfxmenucolumn}" class="btn btn-default" style="font-size:20px;display:block;"><i class="icon-chevron-up"></i></a><br/>
                <a href="#" id="cmsOrderDown_{$id_dfxmenucolumn}" class="btn btn-default" style="font-size:20px;display:block;"><i class="icon-chevron-down"></i></a><br/>
	    	</div>
	    	<div class="col-lg-3">
	    		<h4 style="margin-top:5px;">{l s='Selected CMS' d='Modules.DfxMegamenu.Admin'}</h4>
                	{$selectedCMS}
	    	</div>
	    	<div class="col-lg-3">
	    		<h4 style="margin-top:5px;">{l s='Available CMS' d='Modules.DfxMegamenu.Admin'}</h4>
              {$cms_links}
	    	</div>

	    </div>
        <br/>
	    <div class="row">
	    	<div class="col-lg-5"></div>
	    	<div class="col-lg-3"><a href="#" id="removeCms_{$id_dfxmenucolumn}" class="removeCms btn btn-default"><i class="icon-arrow-right"></i> {l s='Remove' d='Modules.DfxMegamenu.Admin'}</a></div>
		<div class="col-lg-3"><a href="#" id="addCms_{$id_dfxmenucolumn}" class="addCms btn btn-default"><i class="icon-arrow-left"></i> {l s='Add' d='Admin.Actions'}</a></div>
	    </div>
	    <br/>
        {elseif $input.type == 'selectcategory'}
        <select class="form-control fixed-width-xxl categorieslink" name="categorieslink" id="categorieslink">
        {$cat_options}
        </select>
	{else}
    {$smarty.block.parent}
    {/if}
	
{/block}
