{**
 * 2007-2019 PrestaShop and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com> * @copyright 2007-2019 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}
{block name='product_miniature_item'}
 <article class="product-miniature js-product-miniature" data-id-product="{$product.id_product}" data-id-product-attribute="{$product.id_product_attribute}">
  <div class="thumbnail-container">
     <div class="border_inside">
      <div class="product-image col-xl-4 col-lg-3 col-md-3 col-sm-3 col-xs-3"> {block name='product_thumbnail'} <a href="{$product.url}" class="thumbnail product-thumbnail"> <img class="js-lazyload miniproduct" src="data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20{$product.cover.small.width}%20{$product.cover.small.height}%22%3E%3C/svg%3E" data-src="{$product.cover.bySize.small_default.url}" alt="{if !empty($product.cover.legend)}{$product.cover.legend}{else}{$product.name|truncate:30:'...'}{/if}" loading="lazy" width="{$product.cover.small.width}" height="{$product.cover.small.height}"> </a> {/block} </div>
      <div class="product-description col-xl-8 col-lg-9 col-md-9 col-sm-9 col-xs-9"> {block name='product_name'}
         <div class="product-title" itemprop="name"><a class="name" href="{$product.url}">{$product.name|truncate:30:'...'}</a></div>
         {/block}
         
         {if $product.show_price}
         <div class="product-price-and-shipping"> {if $product.has_discount} <span class="regular-price">{$product.regular_price}</span> <span class="price">{$product.price}</span> {else} <span class="price">{$product.price}</span> {/if} </div>
         {/if}
         {block name='product_reviews'}
         {hook h='displayProductListReviews' product=$product}
         {/block} </div>
    </div>
   </div>
</article>
{/block} 