/*
* Copyright since 2007 PrestaShop SA and Contributors
* PrestaShop is an International Registered Trademark & Property of PrestaShop SA
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License 3.0 (AFL-3.0)
* that is bundled with this package in the file LICENSE.md.
* It is also available through the world-wide-web at this URL:
* https://opensource.org/licenses/AFL-3.0
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to https://devdocs.prestashop.com/ for more information.
*
* @author    PrestaShop SA and Contributors <contact@prestashop.com>
* @copyright Since 2007 PrestaShop SA and Contributors
* @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
*/
 
$(document).ready(function(){
/* TAb section */
    $('a[data-toggle="tab"]').on('show.bs.tab', function(e) {

        localStorage.setItem('activeTab', $(e.target).attr('href'));

    });

    var activeTab = localStorage.getItem('activeTab');

    if(activeTab){

        $('#themeTab a[href="' + activeTab + '"]').tab('show');

    }
/****************end of Tab section************/
/* Font section */
$('#titlefont').change(function() { 
	if (this.value == 'customfont') {
		$('.custom_font_path').slideDown();
		$('.custom_font_name').slideDown();
    } else {  
		$('.custom_font_path').slideUp();
		$('.custom_font_name').slideUp();
	}
});
$('#titlefont').trigger('change');

$('#contentfont').change(function() { 
	if (this.value == 'customfont') {
		$('.custom_contentfont_path').slideDown();
		$('.custom_contentfont_name').slideDown();
    } else {  
	$('.custom_contentfont_path').slideUp();
		$('.custom_contentfont_name').slideUp();
	}
});
$('#contentfont').trigger('change');
/************** End of Font section ***************/
/* Color Section */
var defaultcolor = $('.theme_radio:checked').attr('value');


function colorselected(obj) {
	var targetBox = $(".customcolor" + obj);
	$(targetBox).show();
	$(".colorcontainer").not(targetBox).hide();
}
$('.theme_radio').on('change',function() {
	var tkey = $(this).attr("value");
	localStorage.setItem('activeColor', tkey);
	colorselected(tkey);
});
$('.theme_radio').trigger('change');
 var activeColor = localStorage.getItem('activeColor');

if(defaultcolor){
	colorselected(defaultcolor);
} else if(activeColor){
	
	$(".customcolor" + activeColor).show();
	for(var i=0;i<$('.theme_radio').length;i++){
		if($('.theme_radio')[i].value == activeColor){
			$('.theme_radio')[i].checked = true;
		}
	}
}
$('.demo').each( function() {
	 $(this).minicolors({
		control: $(this).attr('data-control') || 'hue',
		change: function(value, opacity) {
            if( !value ) return;
            if( opacity ) value += ', ' + opacity;
            if( typeof console === 'object' ) {
              console.log(value);
            }
          },
 	});
});

/***************** End of Color section ***************/
});