{**
* Copyright since 2007 PrestaShop SA and Contributors
* PrestaShop is an International Registered Trademark & Property of PrestaShop SA
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License 3.0 (AFL-3.0)
* that is bundled with this package in the file LICENSE.md.
* It is also available through the world-wide-web at this URL:
* https://opensource.org/licenses/AFL-3.0
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to https://devdocs.prestashop.com/ for more information.
*
* @author    PrestaShop SA and Contributors <contact@prestashop.com>
* @copyright Since 2007 PrestaShop SA and Contributors
* @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
*}
{strip}
{extends file='page.tpl'}
{block name='page_content'}
<div class="col-sm-12 col-xs-12">
    <div id="mywishlist">
    	<form method="post" class="std box" id="form_wishlist">
    			<fieldset>
    				<h2 class="page-subheading">{l s='Create New wishlist' d='Modules.DfxWishlist'}</h2>
    				<div class="form-group">
    					<input type="hidden" name="token" value="{$token}" />
    					<input type="text" id="name" name="name" class="inputTxt form-control"  placeholder="{l s='Name' d='Modules.DfxWishlist'}" value="{if isset($smarty.post.name) and $errors|@count > 0}{$smarty.post.name}{/if}" />
    				</div>
    				<p class="submit">
                        <button id="submitWishlist" class="btn btn-default button button-medium" type="submit" name="submitWishlist">
                        	<span>{l s='Save' d='Modules.DfxWishlist'}</span>
                        </button>
    				</p>
    			</fieldset>
    		</form>
    	{if $id_customer|intval neq 0}
    		
    		{if $wishlists}
    			<div id="block-history" class="block-center table-responsive">
    				<table class="table table-bordered">
    					<thead>
    						<tr>
    							<th class="first_item">{l s='Name' d='Modules.DfxWishlist'}</th>
    							<th class="item mywishlist_first">{l s='Qty' d='Modules.DfxWishlist'}</th>
    							<th class="item mywishlist_first">{l s='Viewed' d='Modules.DfxWishlist'}</th>
    							<th class="item mywishlist_second">{l s='Created' d='Modules.DfxWishlist'}</th>
    							<th class="item mywishlist_second">{l s='Direct Link' d='Modules.DfxWishlist'}</th>
    							<th class="item mywishlist_second">{l s='Default' d='Modules.DfxWishlist'}</th>
    							<th class="last_item mywishlist_first">{l s='Delete' d='Modules.DfxWishlist'}</th>
    						</tr>
    					</thead>
    					<tbody>
    						{section name=i loop=$wishlists}
    							<tr id="wishlist_{$wishlists[i].id_dfxwishlist|intval}">
    								<td style="width:200px;">
    									<a href="#" onclick="javascript:event.preventDefault();WishlistManage('block-order-detail', '{$wishlists[i].id_dfxwishlist|intval}');">
    										{$wishlists[i].name|truncate:30:'...'|escape:'htmlall':'UTF-8'}
    									</a>
    								</td>
    								<td class="bold align_center">
    									{assign var=n value=0}
    									{foreach from=$nbProducts item=nb name=i}
    										{if $nb.id_dfxwishlist eq $wishlists[i].id_dfxwishlist}
    											{assign var=n value=$nb.nbProducts|intval}
    										{/if}
    									{/foreach}
    									{if $n}
    										{$n|intval|escape:'htmlall':'UTF-8'}
    									{else}
    										0
    									{/if}
    								</td>
    								<td>{$wishlists[i].counter|intval|escape:'htmlall':'UTF-8'}</td>
    								<td>{$wishlists[i].date_add|date_format:"%Y-%m-%d"|escape:'htmlall':'UTF-8'}</td>
    								<td>
    									<a href="#" onclick="javascript:event.preventDefault();WishlistManage('block-order-detail', '{$wishlists[i].id_dfxwishlist|intval|escape:'htmlall':'UTF-8'}');">
    										{l s='View' d='Modules.DfxWishlist'}
    									</a>
    								</td>
    								<td class="wishlist_default">
    									{if isset($wishlists[i].default) && $wishlists[i].default == 1}
    										<p class="is_wish_list_default">
    			                                                <i class="fa fa-check-square"></i>
    										</p>
    									{else}
    										<a href="#" onclick="javascript:event.preventDefault();(WishlistDefault('wishlist_{$wishlists[i].id_dfxwishlist|intval|escape:'htmlall':'UTF-8'}', '{$wishlists[i].id_dfxwishlist|intval|escape:'htmlall':'UTF-8'}'));">
    											<i class='fa fa-square-o'></i>
    										</a>
    									{/if}
    								</td>
    								<td class="wishlist_delete">
                                        <a href="javascript:;"onclick="return (WishlistDelete('wishlist_{$wishlists[i].id_dfxwishlist|intval}', '{$wishlists[i].id_dfxwishlist|intval}', '{l s='Do you really want to delete this wishlist ?' d='Modules.DfxWishlist' js=1}'));"><i class="fa fa-trash-o"></i></a>
    								</td>
    							</tr>
    						{/section}
    					</tbody>
    				</table>
    			</div>
    			<div id="block-order-detail">&nbsp;</div>
    		{/if}
    	{/if}
        
    	<div class="footer_links wishlist_footer clearfix">
			<a class="btn btn-primary button button-small" href="{$link->getPageLink('my-account', true)|escape:'html':'UTF-8'}">
				<span>
					{l s='Back to Your Account' d='Modules.DfxWishlist'}
				</span>
			</a>
    	</div>
    </div>
</div>
{/block}