{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 *}

{extends file='page.tpl'}

{block name='page_content'}
    <h1>{l s='Products compare' d='Modules.DfxCompare'}</h1>
    {if isset($compareProducts) && $compareProducts}
        <div id="product_comparison">
            <div class="product_comparison-container">
                <table class="table table-hover table-bordered  num-{$compareProducts|count} product-accessories">
                    <tbody>
                    <tr class="comparison_infos_row">
                    	 <td class="td_empty comparison_infos fxwidth">
         				 <h6>{l s='Product' d='Shop.Theme.Catalog'}</h6>
                         
                        </td>
                        {foreach from=$compareProducts item=product}
                        <td class="ajax_block_product-{$product.id} wide-space relative comparison_infos product-block compwidth">
                          <a href="{$product.url}" class="product-image db" title="{$product.name}">
                            <img src="{$product.cover.bySize.home_default.url}" alt="{$product.cover.legend}" width="{$product.cover.bySize.home_default.width}" height="{$product.cover.bySize.home_default.height}"  data-full-size-image-url="{$product.cover.large.url}">
                          </a>
                          {block name='product_reviews'}
          {hook h='displayProductListReviews' product=$product}
        {/block}
                          <a class="product-name" href="{$product.url}">{$product.name}</a>
                          
                        </td>
                        {/foreach}
                    </tr>
                
         
                
                    <tr>
                    <td class="fxwidth"><h6>{l s='Availability' d='Shop.Theme.Catalog'}</h6></td>
                    {foreach from=$compareProducts item=product}
                      <td class="product-{$product.id} compwidth">
                      <div class="comparison_availability_statut">
                      {if $product.quantity > 0}
                      <div class="available_value">{l s='In stock' d='Shop.Theme.Catalog'}</div>
                      {else}
                      {l s='Out Of Stock' d='Shop.Theme.Actions'}
                      {/if}
                      </div>
                      </td>
                    {/foreach}
                  </tr>

					<tr>
                    
                        <td class="fxwidth"><h6>{l s='Quantity' d='Shop.Theme.Catalog'}</h6></td>
                        {foreach from=$compareProducts item=product}
                          <td class="product-{$product.id} compwidth">
                          <div class="comparison_availability_statut">
                             <span>{$product.quantity}</span>
                          </div>
                          </td>
                        {/foreach}
     			 </tr>

      <tr>
        <td class="fxwidth"><h6>{l s='Price' d='Shop.Theme.Catalog'}</h6></td>
        {foreach from=$compareProducts item=product}
        <td class="product-{$product.id} compwidth">
          {if isset($product.show_price) && $product.show_price}

            <div class="product-price-and-shipping">
            <span class="sr-only">{l s='Price' d='Shop.Theme.Catalog'}</span>
              <span itemprop="price" class="price">{$product.price}</span>
              {if $product.has_discount}
                {hook h='displayProductPriceBlock' product=$product type="old_price"}
				
               
               
                 <span class="sr-only">{l s='Regular price' d='Shop.Theme.Catalog'}</span>
                <span class="regular-price">{$product.regular_price}</span>
                 {if $product.discount_type === 'percentage'}
                  <span class="discount-percentage">{$product.discount_percentage}</span>
                {/if}
              {/if}

              {hook h='displayProductPriceBlock' product=$product type="before_price"}

              

              {hook h='displayProductPriceBlock' product=$product type='unit_price'}

              {hook h='displayProductPriceBlock' product=$product type='weight'}
            </div>

          {/if}
        </td>
        {/foreach}
      </tr>
      <tr class="cmp-description">
        <td class="fxwidth">
          <h6>{l s='Description' d='Shop.Theme.Catalog'}</h6>
        </td>
        {foreach from=$compareProducts item=product}
        <td class="wide-space product-{$product.id} compwidth">
          {$product.description_short nofilter}
        </td>
        {/foreach}
      </tr>

                    {if $orderedFeatures}
                        {foreach from=$orderedFeatures item=feature}
                            <tr>
                                {cycle values='comparison_feature_odd,comparison_feature_even' assign='classname'}
                                <td class="{$classname|escape:'htmlall':'UTF-8'} feature-name fxwidth">
                                    <strong>{$feature.name|escape:'htmlall':'UTF-8'}</strong>
                                </td>
                                {foreach from=$compareProducts item="product"}

                                    {assign var='product_id' value=$product.id_product}
                                    {assign var='feature_id' value=$feature.id_feature}

                                    {if isset($listFeatures[$product_id])}
                                        {assign var='tab' value=$listFeatures[$product_id]}
                                        <td class="{$classname|escape:'htmlall':'UTF-8'} comparison_features ajax_block_product-{$product.id_product|escape:'htmlall':'UTF-8'} compwidth ">
                                        {if (isset($tab[$feature_id]))}
                                        
                                        {foreach from=$tab[$feature_id] item=tabfeature}
                                                    {$tabfeature|escape:'htmlall'|nl2br nofilter}
                                                {/foreach}
                                        {/if}</td>
                                    {else}
                                        <td class="{$classname|escape:'htmlall':'UTF-8'} comparison_features ajax_block_product-{$product.id_product|escape:'htmlall':'UTF-8'}">
                                            ---
                                        </td>
                                    {/if}

                                {/foreach}
                            </tr>
                        {/foreach}
                    {else}
                        <tr>
                            <td class="fxwidth"></td>
                            <td colspan="{$compareProducts|@count}" class="compwidth">{l s='No features to compare.' d='Modules.DfxCompare'}</td>
                        </tr>
                    {/if}
                     <tr>
        <td class="fxwidth"></td>
        {foreach from=$compareProducts item=product}
          <td class="product-{$product.id} wide-space compwidth">
            <div class="button-container">
             <div class="product-add-to-cart">
             <form action="{$urls.pages.cart}" method="post">
  <input type="hidden" name="id_product" value="{$product.id_product}">
  <input type="hidden" name="qty" value="1" min="1">
  {if !empty($product.is_customizable) && count($product.customizations.fields)}
  <input type="hidden" name="id_customization" value="{$product.id_customization}" id="product_customization_id">
  {/if}
  <input type="hidden" name="token" value="{$static_token}">

     {hook h='displayLargeCartBtn' product=$product}

</form>
             </div>
            </div>
           <div class="cmp_remove">
 			<button class="btn ajax-comparison-feature-remove comparison-feature-remove"
             data-id-product="{$product.id_product|intval|escape:'htmlall':'UTF-8'}"
            data-url="{url entity='module' name='dfxcompare' controller='actions'}">
              <span class="redfox-trash"></span>
            </button>
            </div>
          </td>
        {/foreach}
      </tr>

                    </tbody>
                </table>
            </div>
        </div>
        <div class="product_comparison-actions text-right">
                <a href="#" class="ajax-comparison-feature-remove-all comparison-feature-remove-all btn btn-primary"
                   data-url="{url entity='module' name='dfxcompare' controller='actions'}">
                    <span class="redfox-trash"></span> {l s='Remove all products' d='Modules.DfxCompare'}
                </a>
            </div>
  
    {/if}
     <p class="alert alert-warning {if (isset($compareProducts) && $compareProducts)} hidden{/if}" id="redfoxcompare-warning">{l s='There is no products to compare.' d='Modules.DfxCompare'}</p>
                    {block name='continue_shopping'}
          <a class="btn btn-primary continue" href="{$urls.pages.index}">
            <i class="material-icons keyboard_arrow_left">&#xe314;</i>{l s='Continue shopping' d='Shop.Theme.Actions'}
          </a>
        {/block}
{/block}


