{**
 * 2007-2021 PrestaShop and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://www.prestashop.com for more information.
 *
 * @author PrestaShop SA <contact@prestashop.com> * @copyright 2007-2021 PrestaShop SA and Contributors
 * @license https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}
{block name='product_miniature_item'}
 <article class="product-miniature mini js-product-miniature" data-id-product="{$product.id_product}" data-id-product-attribute="{$product.id_product_attribute}">
  <div class="thumbnail-container">
     <div class="border_inside">
      <div class="product-image"> {block name='product_thumbnail'} <a href="{$product.url}" class="thumbnail product-thumbnail">{if $product.cover}{if isset($imglazyload) && $imglazyload}<img class="js-lazyload" src="data:image/svg+xml,%3Csvg%20xmlns=%22http://www.w3.org/2000/svg%22%20viewBox=%220%200%20{$product.cover.bySize.medium_default.width}%20{$product.cover.bySize.medium_default.height}%22%3E%3C/svg%3E" data-src= "{$product.cover.bySize.medium_default.url}" alt="{$product.name|truncate:30:'...'}" width="{$product.cover.bySize.medium_default.width}" height="{$product.cover.bySize.medium_default.height}">{else}<img src= "{$product.cover.bySize.medium_default.url}" alt="{$product.name|truncate:30:'...'}" width="{$product.cover.bySize.medium_default.width}" height="{$product.cover.bySize.medium_default.height}">{/if}{else}<img src="{$urls.no_picture_image.bySize.medium_default.url nofilter}" style="width:100%;">{/if}</a> 
         {/block} </div>
      <div class="product-description"> {block name='product_name'}
         <h1 class="h3 product-title" itemprop="name"><a href="{$product.url}">{$product.name|truncate:25:'...'}</a></h1>
         {/block}
         {block name='product_price_and_shipping'}
         {if $product.show_price}
         <div class="product-price-and-shipping"> <span class="sr-only">{l s='Price' d='Shop.Theme.Catalog'}</span> <span itemprop="price" class="price">{$product.price}</span> {if $product.has_discount}
          {hook h='displayProductPriceBlock' product=$product type="old_price"} <span class="sr-only">{l s='Regular price' d='Shop.Theme.Catalog'}</span> <span class="regular-price">{$product.regular_price}</span> {/if}
          
          {hook h='displayProductPriceBlock' product=$product type="before_price"}
          
          {hook h='displayProductPriceBlock' product=$product type='unit_price'}
          
          {hook h='displayProductPriceBlock' product=$product type='weight'} </div>
         {/if}
         {/block}

         {block name='product_reviews'}
         {hook h='displayProductListReviews' product=$product}
         {/block} </div>
    </div>
   </div>
</article>
{/block} 