{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 *}
 <div id="_desktop_user_info" class="pull-right">
  <div class="account-dropdown{if $logged} account-logged{/if}">
     <div class="ajax-userinfo-src dropdown js-dropdown">
      <div class="hidden-sm-down{if $logged} account-login{/if}" {if $logged} data-toggle="dropdown"{/if}> {if $logged} 
      <a class="account user-info" title="{l s='View my customer account' d='Shop.Theme.Customeraccount'}" rel="nofollow"> <span class="hidden-sm-down">{$customerName}</span> </a> {else} 
      <a href="{$urls.pages.my_account}" title="{l s='Log in to your customer account' d='Shop.Theme.Customeraccount'}" rel="nofollow" class="user-info"> <span class="hidden-sm-down"><i class="redfox-user"></i>{l s='Sign in' d='Shop.Theme.Actions'}</span> </a> {/if} </div>
      {if $logged} 
      <a class="account-login hidden-md-up" data-toggle="dropdown" title="{l s='View my customer account' d='Shop.Theme.Customeraccount'}"
        rel="nofollow"><i class="redfox-user"></i> </a>

         <ul class="dropdown-menu">
          <li class="customer-name hidden-md-up"><span>{$customerName}</span></li>
          <li><a href="{$urls.pages.my_account}" class="dropdown-item"><span>{l s='My Account' d='Shop.Theme.Customeraccount'}</span><i class="redfox-user"></i></a></li>
          <li> <a href="{$urls.pages.identity}" class="dropdown-item"> <span>{l s='Information' d='Shop.Theme.Customeraccount'}</span> <i class="redfox-information"></i> </a> </li>
          <li> {if $customer.addresses|count} <a href="{$urls.pages.addresses}" class="dropdown-item"> <span>{l s='Addresses' d='Shop.Theme.Customeraccount'}</span> <i class="material-icons location_on">&#xe0c8;</i> </a> {else} <a href="{$urls.pages.address}" class="dropdown-item"> <span>{l s='Add first address' d='Shop.Theme.Customeraccount'}</span> <i class="material-icons add">&#xe145;</i> </a> {/if} </li>
          <li> {if !$configuration.is_catalog} <a href="{$urls.pages.history}" class="dropdown-item"> <span>{l s='Order history and details' d='Shop.Theme.Customeraccount'}</span> <i class="material-icons event">&#xe878;</i> </a> {/if} </li>
          <li> {if !$configuration.is_catalog} <a href="{$urls.pages.order_slip}" class="dropdown-item"> <span>{l s='Credit slips' d='Shop.Theme.Customeraccount'}</span> <i class="material-icons description">&#xe873;</i> </a> {/if} </li>
          <li> {if $configuration.voucher_enabled && !$configuration.is_catalog} <a href="{$urls.pages.discount}" class="dropdown-item"> <span>{l s='Vouchers' d='Shop.Theme.Customeraccount'}</span> <i class="material-icons local_offer">&#xe54e;</i> </a> {/if} </li>
          <li> {if $configuration.return_enabled && !$configuration.is_catalog} <a href="{$urls.pages.order_follow}" class="dropdown-item"> <span> {l s='Merchandise returns' d='Shop.Theme.Customeraccount'}</span> <i class="material-icons assignment_return">&#xe860;</i> </a> {/if} </li>
          <li> <a href="{$urls.actions.logout}" class="dropdown-item sign-out"> <span>{l s='Sign out' d='Shop.Theme.Actions'}</span> <i class="material-icons exit_to_app">&#xe879;</i> </a> </li>
          <li class="sub-drop hidden-md-up">
             <ul id="abs-lang" class="pop-lang ajax-hide">
            </ul>
           </li>
          <li class="sub-drop hidden-md-up">
             <ul id="abs-currency" class="pop-currency ajax-hide">
            </ul>
           </li>
        </ul>
      {else} <a class="account-login hidden-md-up" data-toggle="dropdown" title="{l s='View my customer account' d='Shop.Theme.Customeraccount'}"
        rel="nofollow"><i class="redfox-user"></i></a>

         <ul class="dropdown-menu hidden-md-up">
          <li> <a href="{$urls.pages.my_account}" class="dropdown-item"> <span>{l s='Sign in' d='Shop.Theme.Actions'}</span> <i class="redfox-user"></i></a> </li>
          <li class="sub-drop">
             <ul id="abs-lang" class="pop-lang ajax-hide">
            </ul>
           </li>
          <li class="sub-drop">
             <ul id="abs-currency" class="pop-currency ajax-hide">
            </ul>
           </li>
        </ul>
      {/if} </div>
   </div>
</div>
