{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 *}
 <div id="_desktop_cart" class="pull-right">
  <div class="blockcart cart-preview {if $cart.products_count > 0}active{else}inactive{/if}" data-refresh-url="{$refresh_url}">
     <div class="header shopping_cart">
      <div class="totalprice"> <i class="redfox-shopping-bag" aria-hidden="true"></i> <span class="cart-products-count price_circle hidden-md-up">{$cart.products_count}</span>
         <div class="cartshop hidden-sm-down"> <span class="cart-products-count price_circle">{$cart.products_count}</span> {if $cart.products_count > 0}<span class="ajax_cart_total hide-source">{$cart.subtotals.products.value}</span>{else} <span class="cart-empty hide-source">{$cart.totals.total_including_tax.value}</span> {/if} </div>
       </div>
    </div>
     <div class="cart_block_ajax">
    <div class="cartclosebtn"><i class="material-icons close">&#xe5cd;</i></div>
     <div id="blockcart-sideview" class="cart-dropdown js-cart-duplicate">
      <div class="cart-wrap">
         <div class="cart-header"><div class="js_cart_title">{l s='Shopping Cart' d='Shop.Theme.Checkout'}</div></div>
         <div class="block_content">
          <div class="cart_block_list"> {if $cart.products}
             <ul class="products">
              {foreach from=$cart.products item=product}
              <li class="first_item"> {include 'module:ps_shoppingcart/ps_shoppingcart-product-line.tpl' product=$product} </li>
              {/foreach}
            </ul>
             <div class="cart-detailed-totals">
             {if $cart.products_count > 1}
                <p class="cart-products-count">{l s='There are %products_count% items in your cart.' sprintf=['%products_count%' => $cart.products_count] d='Shop.Theme.Checkout'}</p>
              {else}
                <p class="cart-products-count">{l s='There is %product_count% item in your cart.' sprintf=['%product_count%' =>$cart.products_count] d='Shop.Theme.Checkout'}</p>
              {/if}
              <div class="card-block"> {foreach from=$cart.subtotals item="subtotal"}
                 {if $subtotal}
                 <div class="cart-summary-line {$subtotal.type}"> <span class="label">{$subtotal.label}</span> <span class="value price">{$subtotal.value}</span> </div>
                 {/if}
                 {/foreach} </div>
              <hr>
              <div class="cart-summary-totals">
                 <div class="cart-summary-line cart-total"> <span class="label">{$cart.totals.total.label}</span> <span class="value price">{$cart.totals.total.value}</span> </div>
               </div>
            </div>
             <div class="cartmodal-btn"> <a class="btn btn-primary text-uppercase" href="{$cart_url}">{l s='Checkout' d='Shop.Theme.Actions'}</a> </div>
             {else}
             <dl class="products">
              <div class="no-product-label">{l s='There are no more items in your cart' d='Shop.Theme.Checkout'}</div>
            </dl>
             {/if} </div>
          
        </div>
       </div>
    </div>
    </div>
   </div>
</div>
