{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 *}

<link rel="preconnect" href="{$urls.base_url}">
<link rel="preconnect" href="https://fonts.googleapis.com" crossorigin>
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link rel="preload" href="{$urls.css_url}font-awesome/fonts/fontawesome-webfont.woff2" as="font" type="font/woff2" crossorigin>
<link rel="preload" href="{$urls.css_url}e14-7fe.woff2" as="font" type="font/woff2" crossorigin>
<link rel="preload" href="{$urls.css_url}redfox-icon.woff" as="font" type="font/woff" crossorigin>

{if isset($title_font) && $title_font !== 'font1'}
{if isset($header_font_link) && $header_font_link}
<link rel="stylesheet preload" as="style" href="{$header_font_link}" type="text/css" media="all">
{/if}
{else}
<link rel="stylesheet preload" as="style" href="{$urls.css_url}redfox/css/roboto.css" type="text/css" media="all">
{/if}

{if isset($contentfonts) && $contentfonts !== 'font1'}
{if isset($content_font_link) && $content_font_link}
<link rel="stylesheet preload" as="style" href="{$content_font_link}" type="text/css" media="all">
{/if}
{elseif $content_font_link !== $header_font_link}
<link rel="stylesheet preload" as="style" href="{$urls.css_url}redfox/css/roboto.css" type="text/css" media="all">
{/if}
{foreach $stylesheets.external as $stylesheet}
<link as="style" rel="stylesheet preload" href="{$stylesheet.uri}" type="text/css" media="{$stylesheet.media}">
{/foreach}

{foreach $stylesheets.inline as $stylesheet}
  <style>
    {$stylesheet.content}
  </style>
{/foreach}
