{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 *}
<div class="product-add-to-cart js-product-add-to-cart">
 {block name='product_availability'}
      <span id="product-availability" class="js-product-availability">
        {if $product.show_availability && $product.availability_message}
          {if $product.availability == 'available'}
            <i class="material-icons rtl-no-flip product-available">&#xE5CA;</i>
          {elseif $product.availability == 'last_remaining_items'}
             <i class="material-icons product-last-items">&#xE002;</i>
          {else}
            <i class="material-icons product-unavailable">&#xE14B;</i>
          {/if}
          {$product.availability_message}
        {/if}
      </span>
    {/block}
<div class="add-to-cart-wrapper"> 

{if !$configuration.is_catalog}
    {block name='product_quantity'}
      <div class="product-quantity clearfix">
        <div class="qty">
          <input
            type="text"
            name="qty"
            id="quantity_wanted"
            inputmode="numeric"
            pattern="[0-9]*"
            {if $product.quantity_wanted}
              value="{$product.quantity_wanted}"
              min="{$product.minimal_quantity}"
            {else}
              value="1"
              min="1"
            {/if}
            class="input-group"
            aria-label="{l s='Quantity' d='Shop.Theme.Actions'}"
          >
        </div>
                <div class="product-additional-button">
<div class="add">
          {hook h='displayLargeCartBtn' product=$product}
        </div>

        {block name='hook_display_wishlist'}
            {hook h='displayWishlist' product=$product}
        {/block}
                    {hook h='displayProductListFunctionalButtons' product=$product}
                    </div>
        {hook h='displayProductActions' product=$product}
   
      </div>
       
    {/block}
    {block name='product_minimal_quantity'}
      
        {if $product.minimal_quantity > 1}
        <p class="product-minimal-quantity js-product-minimal-quantity">
          {l
          s='The minimum purchase order quantity for the product is %quantity%.'
          d='Shop.Theme.Checkout'
          sprintf=['%quantity%' => $product.minimal_quantity]
          }
           </p>
        {/if}
     
    {/block}
  {/if}
  	<div class="shipping-delivery-label"> 
    <i class="redfox-shopping-bag"></i>{if $product.additional_delivery_times == 1}{if $product.delivery_information}<span class="delivery-information">{$product.delivery_information}</span> {/if}{elseif $product.additional_delivery_times == 2}{if $product.quantity > 0} <span class="delivery-information">{$product.delivery_in_stock}</span> {* Out of stock message should not be displayed if customer can't order the product. *}{elseif $product.quantity <= 0 && $product.add_to_cart_url} <span class="delivery-information">{$product.delivery_out_stock}</span> {/if}
     {/if} </div>
 </div>
</div>
