{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 *}
 
 <!doctype html>
 <html lang="{$language.iso_code}">
 <head>
{block name='head'}
      {include file='_partials/head.tpl'}
    {/block}
</head>
<div id="authentication-page">
  <div class="container">
    <div class="row d-flex justify-content-center">
      <div class="col-xl-8 col-sm-12">
        <div class="auth-logo d-flex justify-content-center"><a href="{$urls.pages.index}"> <img class="logo img-responsive" src="{$shop.logo}" alt="{$shop.name}"></a></div>

        <div class="row d-flex justify-content-center">
        
          <div class="col-12"> 
          {block name='page_title'}
            <h1 class="page-title"> {l s='Log in to your account' d='Shop.Theme.Customeraccount'}</h1>
            {/block}
            
            	{block name='page_content'}
            	
                  {block name='login_form_container'}
                  <div class="card card-login"> 
                  <div class="card-body"> 
                  	{render file='customer/_partials/login-form.tpl' ui=$login_form} 
                  </div>
                  {block name='display_after_login_form'}
                  {hook h='displayCustomerLoginFormAfter'}
                  {/block}
                   </div>
                  
                  {/block}
                
              {/block} 
           
          </div>
        </div>
         <div class="row d-flex justify-content-center bottom-links-list">
         <div class="col-12 bottom-links-detail">
         <ul>
        
            <li>
                  <div class="no-account"> <a href="{$urls.pages.register}" data-link-action="display-register-form"> {l s='No account? Create one here' d='Shop.Theme.Customeraccount'} </a> </div>
                  </li>
                   <li>
                    <div class="forgot-password">
                        <a href="{$urls.pages.password}" rel="nofollow">
                          {l s='Forgot your password?' d='Shop.Theme.Customeraccount'}
                        </a>
                      </div>
			</li>
                  <li>
                  	<a href="{$urls.base_url}"><i class="material-icons keyboard_arrow_left">&#xe314;</i> &nbsp;<span>{l s='Back to website' d='Shop.Theme.Customeraccount'}</span></a>
                  </li>
                  <li>
                          <div class="row d-flex justify-content-center language-block">{hook h='displayLang'}</div>
                  </li>
             </ul>
            </div>
			
        </div>
      </div>
    </div>
  </div>
</div>
 {block name='javascript_bottom'}
      {include file="_partials/javascript.tpl" javascript=$javascript.bottom}
    {/block}
</html>