{**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 *}
{include file='_partials/helpers.tpl'}

<!doctype html>
<html lang="{$language.locale}">
 <head>
 {block name='head'}
 {include file='_partials/head.tpl'}
 {/block}
 </head>
 
 <body id="{$page.page_name}" class="{$page.body_classes|classnames} {if isset($header_layout) && $header_layout}{$header_layout}{/if}{if isset($product_row) && $product_row}{$product_row}{/if} {if isset($sticky_header) && $sticky_header == 'yes'}sticky{/if} {if isset($tlayout) && $tlayout}{$tlayout}{/if}">
 {block name='hook_after_body_opening_tag'}
 {hook h='displayAfterBodyOpeningTag'}
 {/block}
 <main class="{if isset($body_width) && $body_width == 1}boxed_layout{else}full_width{/if}  
    {if empty($top_layout)}toplayout-def{else} toplayout-0{$top_layout}{/if}"> {block name='product_activation'}
   {include file='catalog/_partials/product-activation.tpl'}
   {/block}
   <header id="header"> {block name='header'}
     {if isset($header_layout) && $header_layout == 'left_logo'}
     {include file='_partials/header.tpl'}
     {elseif isset($header_layout) && $header_layout == 'center_logo'}
     {include file='_partials/header01.tpl'}
     {else}
     {include file='_partials/header.tpl'}
     {/if}
     {/block} </header>
   <section id="wrapper"> {block name='breadcrumb'}
     {include file='_partials/breadcrumb.tpl'}
     {/block}
     {if $page.page_name == 'index'}
     {if isset($body_width) && $body_width == 1}
     <div class="container">{/if}
       {include file='_partials/toplayout.tpl'}
       {if isset($body_width) && $body_width == 1} </div>
     {/if}
     {/if}
     
     {hook h='displayWrapperTop'}
     <div class="container"> <div class="row">{block name="left_column"}
       <div id="left-column" class="col-xs-12 col-sm-12 col-md-4 col-lg-3 sidebar"> {if $page.page_name == 'product'}
         {hook h='displayLeftColumnProduct'}
         {else}
         {hook h='displayLeftColumn'}
         {/if} </div>
       {/block}
       
       {block name="content_wrapper"}
       <div id="content-wrapper" class="left-column right-column col-xs-12 col-sm-12 col-md-4 col-lg-6">
         {hook h='displayContentWrapperTop'}
         {block name="content"}
         <p>Hello world! This is HTML5 Boilerplate.</p>
         {/block}
         
         {hook h='displayContentWrapperBottom'} </div>
       {/block}
       
       {block name="right_column"}
       <div id="right-column" class="col-xs-12 col-sm-12 col-md-4 col-lg-3 sidebar"> {if $page.page_name == 'product'}
         {hook h='displayRightColumnProduct'}
         {else}
         {hook h='displayRightColumn'}
         {/if} </div>
       {/block} 
       </div>
      </div>
     {hook h='displayWrapperBottom'}
     
     {block name='notifications'}
     {include file='_partials/notifications.tpl'}
     {/block} 
  </section>
   <footer id="footer"> {block name="footer"}
     {include file="_partials/footer.tpl"}
     {/block} </footer>
 </main>

 {hook h='displayMegamenuMobile'}


 {block name='javascript_bottom'}
 {include file="_partials/javascript.tpl" javascript=$javascript.bottom}
 {/block}
 
 {block name='hook_before_body_closing_tag'}
 {hook h='displayBeforeBodyClosingTag'}
 {/block}
 </body>
 </html>
 